Subject: Re: [PATCH v4] add-patch: enforce only one-letter response to prompts

From: Junio C Hamano <[email-masked]>
Date: Thu, 23 May 2024 08:58:25 -0700

Patrick Steinhardt <[email-masked]> writes:

>>    As an experiment, this message has the range-diff at the end, not
>>    before the primary part of the patch text.  I think this format
>>    should be easier to read for reviewers.
>
> Huh, interesting. I do like that format better indeed. You did that
> manually instead of using `--range-diff`, right?

Yes.

To me, "format-patch --range-diff" is a lot more cumbersome to use
than running "format-patch", open the result in Emacs, and then
doing "\C-u \M-! git range-diff ..." to insert its output, as I'll
be opening it in the editor for typofixes anyway.